Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637402 - >=dev-lang/php-5.6[fpm] automagic on libapparmor
Summary: >=dev-lang/php-5.6[fpm] automagic on libapparmor
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PHP Bugs
URL: https://github.com/php/php-src/pull/2989
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-13 20:46 UTC by coyote
Modified: 2017-12-27 04:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description coyote 2017-11-13 20:46:24 UTC
dev-lang/php-5.6.31 has automagic dependency on sys-libs/libapparmor:0, maybe need corresponding USE
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2017-11-13 20:55:28 UTC
Confirmed, but only on fpm.

Unfortunately, there is no autotools flag to flip without a patch to sapi/fpm/config.m4
Comment 2 Michael Orlitzky gentoo-dev 2017-12-27 04:01:55 UTC
I opened a pull request upstream that adds the necessary configure flag.